curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/delivery-notes \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/delivery-notes"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/delivery-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"based_on": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"based_on_document_id": "IN-2022-01-01-0001",
"counterpart": {
"name": "Counterpart Name"
},
"counterpart_address": {
"city": "Counterpart City",
"country": "US",
"line1": "Counterpart Street",
"postal_code": "10001"
},
"counterpart_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"created_at": "2022-01-01T00:00:00Z",
"created_by_entity_user_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"delivery_date": "2022-01-01",
"delivery_number": "102-2022-0987",
"display_signature_placeholder": true,
"document_id": "DN-2022-01-01-0001",
"entity": {
"name": "Entity Name"
},
"entity_address": {
"city": "Entity City",
"country": "US",
"line1": "Entity Street",
"postal_code": "10001"
},
"entity_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"file_language": "en",
"file_url": "https://example.com/delivery_note.pdf",
"id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"line_items": [
{
"product": {
"description": "Description of product",
"measure_unit": {
"description": "Pieces",
"name": "pcs"
},
"name": "Product Name"
},
"quantity": 20
}
],
"memo": "This is a memo",
"original_file_language": "de",
"original_file_url": "https://example.com/delivery_note_original.pdf",
"status": "created",
"updated_at": "2022-01-01T00:00:00Z"
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Get delivery notes
Get all delivery notes with filtering and pagination.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Query Parameters
Sort order (ascending by default). Typically used together with the sort parameter.
asc, desc The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.
1 <= x <= 100A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
The field to sort the results by. Typically used together with the order parameter.
status, document_id, delivery_date, created_at created, canceled, delivered created, canceled, delivered 100100100100100100Response
Successful Response
List of delivery notes
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).
Was this page helpful?